# Created by pyp2rpm-3.3.1
%global pypi_name ufo2ft

%bcond_with tests

Name:           python-%{pypi_name}
Version:        2.33.4
Release:        %mkrel 2
Summary:        A bridge between UFOs and FontTools
Group:          Development/Python
License:        MIT
URL:            https://github.com/googlei18n/ufo2ft
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3dist(booleanoperations)
BuildRequires:  python3dist(fonttools)
BuildRequires:  python3dist(pytest) >= 2.8
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)
BuildRequires:  python3dist(cu2qu)
%endif
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
ufo2ft ("UFO to FontTools") is a fork of ufo2fdk whose goal is to generate
OpenType font binaries from UFOs without the FDK dependency. The library
provides two functions, compileOTF and compileTTF, which work exactly the same
way.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
ufo2ft ("UFO to FontTools") is a fork of ufo2fdk whose goal is to generate
OpenType font binaries from UFOs without the FDK dependency. The library
provides two functions, compileOTF and compileTTF, which work exactly the same
way.

%pyproject_extras_subpkg -n python3-%{pypi_name} compreffor

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with tests}
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Mon Mar 03 2025 wally <wally> 2.33.4-2.mga10
+ Revision: 2160085
- rebuild for python3.13

* Mon Jan 15 2024 daviddavid <daviddavid> 2.33.4-1.mga10
+ Revision: 2031361
- new version: 2.33.4
+ wally <wally>
- new version 2.30.0

* Fri Nov 25 2022 kekepower <kekepower> 2.29.0-1.mga9
+ Revision: 1911127
- Update to version 2.29.0

* Tue Oct 25 2022 wally <wally> 2.28.0-1.mga9
+ Revision: 1899311
- new version 2.28.0
- switch to pyproject rpm macros

* Wed Apr 06 2022 umeabot <umeabot> 2.21.0-5.mga9
+ Revision: 1846199
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 2.21.0-4.mga9
+ Revision: 1783969
- rebuild for python-3.10

* Mon Aug 16 2021 wally <wally> 2.21.0-3.mga9
+ Revision: 1741570
- build without pathops extras subpkg

* Sat Jun 26 2021 wally <wally> 2.21.0-2.mga9
+ Revision: 1732380
- Rebuild for python 3.9

* Fri Jun 25 2021 wally <wally> 2.21.0-1.mga9
+ Revision: 1732284
- new version 2.21.0

* Thu Jul 23 2020 wally <wally> 2.15.0-1.mga8
+ Revision: 1608486
- new version 2.15.0

* Tue Feb 18 2020 umeabot <umeabot> 2.11.1-2.mga8
+ Revision: 1541960
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 2.11.1-1.mga8
+ Revision: 1475751
- new version 2.11.1

* Mon Sep 16 2019 tv <tv> 2.9.1-2.mga8
+ Revision: 1442524
- rebuild for python-3.8

* Mon Aug 19 2019 wally <wally> 2.9.1-1.mga8
+ Revision: 1430066
- new version 2.9.1

* Sat Jan 12 2019 wally <wally> 2.6.0-2.mga7
+ Revision: 1355479
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 2.6.0-1.mga7
+ Revision: 1354582
- New version 2.6.0

* Fri Sep 21 2018 umeabot <umeabot> 1.1.0-2.mga7
+ Revision: 1290442
- Mageia 7 Mass Rebuild

* Sat May 05 2018 wally <wally> 1.1.0-1.mga7
+ Revision: 1226609
- imported package python-ufo2ft

